{
  "bluetooth": {
    "format": " {status}",
    "format-connected": " {device_alias}",
    "format-connected-battery": " {device_alias} {device_battery_percentage}%",
    // "format-device-preference": [ "device1", "device2" ], // preference list deciding the displayed device
    "tooltip-format": "{controller_alias}\t{controller_address}\n\n{num_connections} connected",
    "tooltip-format-connected": "{controller_alias}\t{controller_address}\n\n{num_connections} connected\n\n{device_enumerate}",
    "tooltip-format-enumerate-connected": "{device_alias}\t{device_address}",
    "tooltip-format-enumerate-connected-battery": "{device_alias}\t{device_address}\t{device_battery_percentage}%"
  },

  "cava": {
    "framerate": 30,
    "autosens": 1,
    // "sensitivity": 100,
    "bars": 7,
    "lower_cutoff_freq": 50,
    "higher_cutoff_freq": 10000,
    "method": "pipewire",
    "source": "auto",
    "stereo": true,
    "reverse": false,
    "bar_delimiter": 0,
    "monstercat": false,
    "waves": false,
    "noise_reduction": 0.77,
    "input_delay": 2,
    "format-icons" : ["▁", "▂", "▃", "▄", "▅", "▆", "▇", "█" ],
    "actions": {
      "on-click-right": "mode"
    }
  },

  "clock":  {
    "interval":  60,
    "timezone":  "America/Los_Angeles",
    "format":  "{:%A, %B %d, %Y  %r}",
    "tooltip-format": "<tt><small>{calendar}</small></tt>",
    "calander":  {
      "mode":  "month",
      "on-scroll":  1,
      "format":  {
        "today":  "<b><u>{}</u></b>",
      },
    },
  },

  "cpu": {
    "format": "{usage}% 󰍛",
    "interval": 1,
    "format-alt-click": "click",
    "format-alt": "{icon0}{icon1}{icon2}{icon3} {usage:>2}% 󰍛",
    "format-icons": ["▁", "▂", "▃", "▄", "▅", "▆", "▇", "█"],
    "on-click": "gnome-system-monitor",
  },

  "custom/exit": {
    "format": "",
    "tooltip-format": "Powermenu",
    "on-click": "wlogout -b 3",
    "tooltip": false
  },

  "custom/pavc": {
    "format": "",
    "tooltip-format": "Pulse Audio Controller",
    "on-click": "pavucontrol-qt",
    "tooltip": false
  },

  "disk":  {
    "interval":  30,
    "format":  "󰋊 {percentage_used}%",
    "path":  "/",
    "tooltip":  true,
    "unit":  "GB",
    "tooltip-format":   "Available {free} of {total}",
  },

  "jack": {
    "format": "DSP {}%",
    "format-xrun": "{xruns} xruns",
    "format-disconnected": "DSP off",
    "realtime": true
  },

  "memory":  {
    "interval":  10,
    "format":  "  {percentage}%",
    "max-length":  10,
    "tooltip":  true,
    "tooltip-format":  "RAM - {used:0.1f}GiB used",
  },

  "network":  {
    "format": "{ifname}",
    "interface": "Ethernet",
    "format-wifi":  " {icon}",
    "format-ethernet":  "{ipaddr} up: {bandwidthUpBytyes} bps / down: {bandwidthDownByte} bps  ",
    "format-disconnected":  "󰌙",
    "format-icons":  [
        "󰤯 ",
        "󰤟 ",
        "󰤢 ",
        "󰤢 ",
        "󰤨 "
    ],
  },

  "pulseaudio": {
    "format": "{volume}% {icon}",
    "format-bluetooth": "{volume}% {icon}",
    "format-muted": "",
    "format-icons": {
        "alsa_output.pci-0000_00_1f.3.analog-stereo": "",
        "alsa_output.pci-0000_00_1f.3.analog-stereo-muted": "",
        "headphone": "",
        "hands-free": "",
        "headset": "",
        "phone": "",
        "phone-muted": "",
        "portable": "",
        "car": "",
        "default": ["", ""]
    },
    "scroll-step": 1,
    "on-click": "pavucontrol",
    "ignored-sinks": ["Easy Effects Sink"]
  },

  "pulseaudio/slider": {
    "min": 0,
    "max": 100,
    "orientation": "horizontal",
  },

  "systemd-failed-units": {
    "hide-on-ok": false, // Do not hide if there is zero failed units.
    "format": "✗ {nr_failed}",
    "format-ok": "✓",
    "system": true, // Monitor failed systemwide units.
    "user": false, // Ignore failed user units.
  },

  "wireplumber": {
    "format": "{volume}% {icon}",
    "format-muted": "",
    "on-click": "helvum",
    "format-icons": ["", "", ""]
  },

  "wlr/taskbar":  {
    "format":  "{icon}",
    "icon-size":  28,
    "spacing":  3,
    "on-click-middle":  "close",
    "tooltip-format":  "{title}",
    "on-click":  "activate",
    "ignore-list":  [],
    "app_ids-mapping":  {
      "firefoxdeveloperedition":  "firefox-developer-edition",
    },
    "rewrite":  {
      "Firefox Web Browser":  "Firefox",
      "Foot Server":  "Terminal",
    },
  },

  "temperature":  {
    "hwmon-path":  "/sys/devices/platform/coretemp.0/hwmon/hwmon3/temp2_input",
    // "input-filename":  "temp2_input",
    "critical-threshold":  75,
    "tooltip":  true,
    "format-critical":  "{temperatureC}°C ",
    "format":  "{temperatureC}°C ",
    "interval": 10,
  },

  "hyprland/workspaces":  {
    "on-click": "activate",
    "icon-size":  32,
    "spacing":  16,
    "on-scroll-up":  "hyprctl dispatch workspace e+1",
    "on-scroll-down":  "hyprctl dispatch workspace e-1",
  },
  // ROMAN Numerals style
  "hyprland/workspaces#roman": {
      "active-only":false,
      "all-outputs": true,
      "format": "{icon}",
      "show-special": false,
      "on-click": "activate",
      "on-scroll-up": "hyprctl dispatch workspace e+1",
      "on-scroll-down": "hyprctl dispatch workspace e-1",
      "persistent-workspaces":{
          "1": [],
          "2": [],
          "3": [],
      },
      "format-icons": {
        "1": "I",
        "2": "II",
        "3": "III",
        "4": "IV",
        "5": "V",
        "6": "VI",
        "7": "VII",
        "8": "VIII",
        "9": "IX",
        "10": "X",
        "11": "XI",
        "12": "XII",
      },
  },

  "tray": {
    "show-passive-items": true,
    "icon-size": 31,
    "spacing": 10
  },

  "custom/polycat": {
    "exec": "/home/wayne/bin/polycat.sh",
    "interval": 2,
    "return-type": "json",
    "on-click": "polycat --config-path /home/wayne/.config/polycat-config.json",
    "format": "{}",
    "format-icons": [
      "",
      "",
      "",
      "",
      "",
    ]
  }
}